package minpaint;

import java.awt.Graphics;

public class RectangleShape extends Shape {

	int tlx;
	int tly;
	int drx;
	int dry;
	
	public RectangleShape(int x1, int y1, int x2, int y2) {
	    //korisnik ne mora uvek da pocne da crta iz gornjeg 
	    //levog ugla, zato moramo da razresimo koja je je 
	    //gornja najvise levo tacka i donja najvise desno
		this.tlx=x1<x2?x1:x2;
		this.tly=y1<y2?y1:y2;
		this.drx=x1>x2?x1:x2;
		this.dry=y1>y2?y1:y2;
	}
	
	@Override
	public void drawSelf(Graphics g) {
		g.drawRect(tlx, tly, drx-tlx, dry-tly);
	}

}
