package minpaint;

import java.awt.Graphics;

public class ElipseShape extends Shape {

	int tlx;
	int tly;
	int drx;
	int dry;
	
	public ElipseShape(int x1, int y1, int x2, int y2) {
	    this.tlx=x1<x2?x1:x2;
		this.tly=y1<y2?y1:y2;
		this.drx=x1>x2?x1:x2;
		this.dry=y1>y2?y1:y2;
	}
	
	@Override
	public void drawSelf(Graphics g) {
		g.drawOval(tlx, tly, drx-tlx, dry-tly);
	}

}
