package minpaint;

import java.awt.Color;
import java.awt.Graphics;
import java.util.ArrayList;

import javax.swing.JPanel;

public class PaintPanel extends JPanel {

    //lista sa oblicima, sve ih posmatramo na isti nacin, genericki kao abstraktnu
    //klasu Shape
	ArrayList<Shape> shapes;
	Shape temp;
	
	public PaintPanel() {
		shapes=new ArrayList<Shape>();
	}
	
	@Override
	public void paint(Graphics arg0) {
	    	arg0.clearRect(0,0,this.getWidth(), this.getHeight());
		arg0.setColor(Color.black);
		//iscrtavanje svih oblika
		for(Shape s:shapes){
			s.drawSelf(arg0);
		}
		arg0.setColor(Color.red);
		//iscrtavanje trenutnog oblika drugom bojom
		//radi uocljivosti
		if(temp!=null)
			temp.drawSelf(arg0);
	}
}
